aboutsummaryrefslogtreecommitdiffstats
path: root/main/libwnck/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libwnck/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libwnck/APKBUILD')
-rw-r--r--main/libwnck/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/libwnck/APKBUILD b/main/libwnck/APKBUILD
new file mode 100644
index 0000000000..95347a2cb0
--- /dev/null
+++ b/main/libwnck/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libwnck
+pkgver=2.28.0
+pkgrel=0
+pkgdesc="Window Navigator Construction Kit"
+url="http://www.gnome.org/"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig gtk+-dev startup-notification-dev libxres-dev intltool
+ gettext-dev libiconv-dev expat-dev libsm-dev e2fsprogs-dev"
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2"
+
+depends_dev="glib-dev gtk+-dev libx11-dev pango-dev cairo-dev
+ startup-notification-dev libxres-dev"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="a9311661aa954e7c918439b6dd578792 libwnck-2.28.0.tar.bz2"